Automations
Automations, their catalog and their runs.
| Operation | Call | Permission | Risk |
|---|---|---|---|
| Get automation catalog | GET /v1/automation-catalog | automations:read | Read |
| List automations | GET /v1/automations | automations:read | Read |
| Get automation | GET /v1/automations/{automation_id} | automations:read | Read |
| Create automation | POST /v1/automations | automations:write | Write (no outside effect) |
| Update automation | PATCH /v1/automations/{automation_id} | automations:write | Write (no outside effect) |
| Set automation status | PUT /v1/automations/{automation_id}/status | automations:write | Write (no outside effect) |
| List automation runs | GET /v1/automations/{automation_id}/runs | automations:read | Read |
| Start automation run | POST /v1/automations/{automation_id}/runs | automations:run | Send (reaches other people) |
| Get inbound webhook | GET /v1/automations/{automation_id}/inbound-webhook | hooks:read_secret | Read |